<script>
import axios from "../axios/index.js";

export default {
    name: "QuestionComponent",
    data() {
        return {
            person: {
                phone:    null,
                email:    null,
                question: null
            }
        }
    },
    methods: {
        sendQuestion() {
            axios.post('/api/contact/send-question', {
                phone:    this.person.phone,
                email:    this.person.email,
                question: this.person.question,
            }).then(({data}) => {
                if (data) {
                    this.person.question = null;
                }
            })
        },
        validatePhoneNumber(event) {
            const inputValue = event.target.value;
            const validCharactersRegex = /^[\d+\s()-]*$/;
            if (!validCharactersRegex.test(inputValue)) {
                event.target.value = inputValue.replace(/[^\d+\s()-]/g, '');
            }
        }
    }
}
</script>

<template>
    <div>
        <div class="write__row">
            <div class="write__input">
                <input type="text" v-model="person.phone" placeholder="Phone" @input="validatePhoneNumber">
            </div>
            <div class="write__input">
                <input type="email" v-model="person.email" placeholder="E-mail">
            </div>
        </div>
        <div class="write__textarea">
            <textarea v-model="person.question" placeholder="Your question"></textarea>
        </div>
        <div class="write__button">
            <button @click="sendQuestion">
                Send
                <img src="../img/icons/send.svg" alt="send">
            </button>
        </div>
    </div>
</template>

<style scoped>

</style>
